Tag Parser: TagParser::Mpeg4AudioObjectIds Namespace Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Enumerations | Functions
TagParser::Mpeg4AudioObjectIds Namespace Reference

Encapsulates all supported MPEG-4 audio object type IDs. More...

## Enumerations
enum | KnownValue : std::uint8_t { Null = 0 , AacMain , AacLc , AacSsr , AacLtp , Sbr , AacScalable , TwinVq , Celp , Hxvc , Ttsi = 12 , MainSynthesis , WavetableSynthesis , GeneralMidi , AlgorithmicSynthesisAudioEffects , ErAacLc , ErAacLtp = 19 , ErAacScalable , ErTwinVq , ErBsac , ErAacLd , ErCelp , ErHvxc , ErHiln , ErParametric , Ssc , Ps , MpegSurround , EscapeValue , Layer1 , Layer2 , Layer3 , Dst , Als , Sls , ErAacEld , SmrSimple , SmrMain , UsacNoSbr , Saoc , LdMpegSurround , Usac }

## Functions
TAG_PARSER_EXPORT MediaFormat | idToMediaFormat (std::uint8_t mpeg4AudioObjectId, bool sbrPresent=false, bool psPresent=false)

## Detailed Description

Encapsulates all supported MPEG-4 audio object type IDs.

See also
  http://wiki.multimedia.cx/index.php?title=MPEG-4_Audio

## Enumeration Type Documentation

## ◆ KnownValue

enum TagParser::Mpeg4AudioObjectIds::KnownValue : std::uint8_t

Enumerator
Null |
AacMain |
AacLc | low complexity
AacSsr | scalable sample rate
AacLtp | long term prediction
Sbr | spectral band replication
AacScalable |
TwinVq |
Celp | code excited linear prediction
Hxvc | harmonic vector excitation coding
Ttsi | text-to-speech interface
MainSynthesis |
WavetableSynthesis |
GeneralMidi |
AlgorithmicSynthesisAudioEffects |
ErAacLc | error resillent AAC LC
ErAacLtp |
ErAacScalable |
ErTwinVq |
ErBsac |
ErAacLd |
ErCelp |
ErHvxc |
ErHiln |
ErParametric |
Ssc |
Ps |
MpegSurround |
EscapeValue |
Layer1 |
Layer2 |
Layer3 |
Dst |
Als | audio lossless
Sls | scalable lossless
ErAacEld | enhanced low delay
SmrSimple | symbolic music representation
SmrMain |
UsacNoSbr | unified speech and audio coding
Saoc | spatial audio object coding (no SBR)
LdMpegSurround |
Usac | unified speech and audio coding

Definition at line 581 of file mp4ids.h.

## Function Documentation

## ◆ idToMediaFormat()

TAG_PARSER_EXPORT MediaFormat TagParser::Mpeg4AudioObjectIds::idToMediaFormat | ( | std::uint8_t | mpeg4AudioObjectId,
|  | bool | sbrPresent = false,
|  | bool | psPresent = false )

Definition at line 373 of file mp4ids.cpp.